Bug 112917 - Total system lockup writing to floppy disk
Total system lockup writing to floppy disk
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-01-05 18:04 EST by Robert Nichols
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-29 15:56:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Output from dmidecode (13.53 KB, text/plain)
2004-01-06 23:31 EST, Robert Nichols
no flags Details

  None (edit)
Description Robert Nichols 2004-01-05 18:04:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.0.2)

Description of problem:
I am seeing solid lockups whenever the system writes more than a
tiny amount of data to the floppy drive (1.44MB HD, /dev/fd0H1440). 
My system is an Intel Celeron 2400 MHz on an Asus P4S800 motherboard
(SiS 648FX, SiS 963L chipset). I've upgraded to
kernel-2.4.22-1.2135.nptl.i686 and the behavior persists.  What I find
odd is that a Mandrake 9.2 installation with a kernel also based on
2.4.22 does not have this problem.  With Fedora, I can _read_ floppies
just fine (reading from the raw device, or a file system mounted
read-only), but an attempt to write always fails.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run: dd if=/dev/zero of=/dev/fd0H1440


Actual Results:  System locks up totally.  Reset or power-cycle required.

Expected Results:  No lockup.

Additional info:

Bug #111762 appears to be this same problem on a different platform
Comment 1 Robert Nichols 2004-01-05 23:54:21 EST
Building a customized kernel tailored to my system appears to have
made the problem go away.  I made a lot of configuration changes, but
if I can identify a particular change that seems to be responsible,
I'll add another comment with that info.
Comment 2 Robert Nichols 2004-01-06 12:17:09 EST
The offending parameter is CONFIG_APM_CPU_IDLE.  If I disable that
feature, the floppy drive works perfectly. With that feature enabled,
writing to the floppy locks up the system every time. In all the
supplied Fedora kernel configurations, CONFIG_APM_CPU_IDLE is enabled.
In the Mandrake kernel it is disabled.
Comment 3 Arjan van de Ven 2004-01-06 12:21:30 EST
thankfully CPU_IDLE can be turned off with a commandline option...

Also can you attach the output from dmidecode to this bug? With that
we can blacklist your bios for apmidle so that it will JustWork(tm) in
the future..
Comment 4 Robert Nichols 2004-01-06 23:31:14 EST
Created attachment 96797 [details]
Output from dmidecode
Comment 5 Robert Nichols 2004-01-08 17:27:19 EST
For the benefit of anyone who discovers this bug report while
searching for a solution, here are the relevant kernel boot parameters
that will prevent the lockups (for me, anyway):

To eliminate APM entirely:


OR, to stop just the CPU_IDLE BIOS calls:


Comment 6 David Lawrence 2004-09-29 15:56:17 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.